Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderpass
Class PresentDebugImagePass

    java.lang.Object
      de.grogra.imp3d.glsl.renderpass.RenderPass
          de.grogra.imp3d.glsl.renderpass.PresentDebugImagePass

    public class PresentDebugImagePass

extends RenderPass

Nested Class Summary
`class` | `PresentDebugImagePass.TextureCollection`

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`newVisit`

Constructor Summary
`PresentDebugImagePass()`

Method Summary
`protected void` | `drawString(javax.media.opengl.GL gl, GLSLDisplay disp, java.lang.String string, int x, int y)`
`protected void` | `epilogue(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`void` | `process(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `prologue(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `render(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `renderStencil(OpenGLState glState, Camera c, int x, int y)`

Methods inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`activateTextures, activateTextures, deactivateTextures, deactivateTextures, drawPrjQuad, drawPrjQuad, drawPrjQuad, drawPrjQuadParallel, getID, postDrawCallback, renderAndUpdateVector, renderVector, resetMatrix, setMatrix, ViewOrtho, ViewOrtho, ViewPerspective`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresentDebugImagePass

    public PresentDebugImagePass()

Method Detail

### drawString

    protected void drawString(javax.media.opengl.GL gl,
                              GLSLDisplay disp,
                              java.lang.String string,
                              int x,
                              int y)

### epilogue

    protected void epilogue(GLSLDisplay disp,
                            OpenGLState glState,
                            java.lang.Object data)

  Specified by:
    `epilogue` in class `RenderPass`

### process

    public void process(GLSLDisplay disp,
                        OpenGLState glState,
                        java.lang.Object data)

  Overrides:
    `process` in class `RenderPass`

### prologue

    protected void prologue(GLSLDisplay disp,
                            OpenGLState glState,
                            java.lang.Object data)

  Specified by:
    `prologue` in class `RenderPass`

### render

    protected void render(GLSLDisplay disp,
                          OpenGLState glState,
                          java.lang.Object data)

  Specified by:
    `render` in class `RenderPass`

### renderStencil

    protected void renderStencil(OpenGLState glState,
                                 Camera c,
                                 int x,
                                 int y)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD